**********************************************************
**********************************************************

*1965 Party identification proportions
*set directory
cd "M:\Kollman Party Project IFS\Canada"
use "AUGUST\1965\1965 edited id.dta"

*LIBERAL
egen LibStr = group (LibPart idstr)
list LibPart idstr LibStr in 1/25
label define L45 1 "lib_ns" 2 "lib_fs" 3 "lib_vs"
label values LibStr L45

gen Lib_ns=.
replace Lib_ns=0 if LibStr==2 | LibStr==3
replace Lib_ns=1 if LibStr==1
gen Lib_fs=.
replace Lib_fs=0 if LibStr==1 | LibStr==3
replace Lib_fs=1 if LibStr==2
gen Lib_vs=.
replace Lib_v=0 if LibStr==1 | LibStr==2
replace Lib_vs=1 if LibStr==3

*CONSERVATIVE
egen ConservStr = group (ConPart idstr)
label define L46 1 "conserv_ns" 2 "conserv_fs" 3 "conserv_vs"
label values ConservStr L46

gen Con_ns=.
replace Con_ns=0 if ConservStr==2 | ConservS==3
replace Con_ns=1 if ConservStr==1
gen Con_fs=.
replace Con_fs=0 if ConservStr==1 | ConservS==3
replace Con_fs=1 if ConservStr==2
gen Con_vs=.
replace Con_vs=0 if ConservStr==2 | ConservS==1
replace Con_vs=1 if ConservStr==3

*NDP
egen NDPStr = group (NDPP idstr)
label define L123 1 "NDP_ns" 2 "NDP_fs" 3 "NDP_vs"
label values NDPS L123

gen NDP1_ns=.
replace NDP1_ns=0 if NDPS==2 |NDPS==3
replace NDP1_ns=1 if NDPS==1
gen NDP1_fs=.
replace NDP1_fs=0 if NDPS==1 |NDPS==3
replace NDP1_fs=1 if NDPS==2
gen NDP1_vs=.
replace NDP1_vs=0 if NDPS==1 |NDPS==2
replace NDP1_vs=1 if NDPS==3

*SOCIAL CREDIT
egen SocCredStr = group (SocCredPart idstr)
label define l91 1 "soc credit_ns" 2 "soc credit_fs" 3 "soc credit_vs"
label values SocCredStr l91

gen SocCred_ns=.
replace SocCred_ns=0 if SocCredStr==2 |SocCredStr==3
replace SocCred_ns=1 if SocCredStr==1
gen SocCred_fs=.
replace SocCred_fs=0 if SocCredStr==1 |SocCredStr==3
replace SocCred_fs=1 if SocCredStr==2
gen SocCred_vs=.
replace SocCred_vs=0 if SocCredStr==1 |SocCredStr==2
replace SocCred_vs=1 if SocCredStr==3

*CREDISTE
egen CrediStr = group (CredistePart idstr)
label define Lab323 1 "credist_ns" 2 "crediste_fs" 3 "crediste_vs"
label values CrediStr Lab323

gen Crediste_ns=.
replace Crediste_ns=0 if CrediStr==2 | CrediStr==3
replace Crediste_ns=1 if CrediStr==1
gen Crediste_fs=.
replace Crediste_fs=0 if CrediStr==1 | CrediStr==3
replace Crediste_fs=1 if CrediStr==2
gen Crediste_vs=.
replace Crediste_vs=0 if CrediStr==2 | CrediStr==1
replace Crediste_vs=1 if CrediStr==3

*UNION NATIONALE
egen UnionNStr = group (UnionNatPart idstr)
label define unlabel 1 "union nationale_ns" 2 "union nationale_fs" 3 "union nationale_vs"
label values UnionNStr unlabel

gen Union_ns=.
replace Union_ns=0 if UnionNStr==2 | UnionNStr==3
replace Union_ns=1 if UnionNStr==1
gen Union_fs=.
replace Union_fs=0 if UnionNStr==1 | UnionNStr==3
replace Union_fs=1 if UnionNStr==2
gen Union_vs=.
replace Union_vs=0 if UnionNStr==2 | UnionNStr==1
replace Union_vs=1 if UnionNStr==3


*OTHER
egen OtherStr = group (OtherPar idstr)
label define Lab55 1 "other_ns" 2 "other_fs" 3 "other_vs"
label values OtherStr Lab55

gen Other1_ns=.
replace Other1_ns=0 if OtherStr==2 | OtherS==3
replace Other1_ns=1 if OtherStr==1
gen Other1_fs=.
replace Other1_fs=0 if OtherStr==1 | OtherS==3
replace Other1_fs=1 if OtherStr==2
gen Other1_vs=.
replace Other1_vs=0 if OtherStr==2 | OtherS==1
replace Other1_vs=1 if OtherStr==3

save "AUGUST\1965\1965 edited prop.dta"
collapse year (mean) lib_ns_prop=Lib_ns lib_fs_prop=Lib_fs lib_vs_prop=Lib_vs con_ns_prop=Con_ns con_fs_prop=Con_fs con_vs_prop=Con_vs NDP_ns_prop=NDP1_ns NDP_fs_prop=NDP1_fs NDP_vs_prop=NDP1_vs socialc_ns_prop=SocCred_ns socialc_fs_prop=SocCred_fs socialc_vs_prop=SocCred_vs crediste_ns_prop=Crediste_ns crediste_fs_prop=Crediste_fs crediste_vs_prop=Crediste_vs union_ns_prop=Union_ns union_fs_prop=Union_fs union_vs_prop=Union_vs other_ns_prop=Other1_n other_fs_prop=Other1_f other_vs_prop=Other1_v [pweight=v4]
save "AUGUST\1965\1965 total prop.dta"
clear



***********************************************************
***********************************************************
*1965 Party identification proportions, Religion
use "AUGUST\1965\1965 edited prop.dta"

count if religion==.
drop if religion==.
***
by religion, sort: egen lib_ns_prop=mean(Lib_ns)
by religion, sort: egen lib_fs_prop=mean(Lib_fs)
by religion, sort: egen lib_vs_prop=mean(Lib_vs)

by religion, sort: egen con_ns_prop=mean(Con_ns)
by religion, sort: egen con_fs_prop=mean(Con_fs)
by religion, sort: egen con_vs_prop=mean(Con_vs)

by religion, sort: egen NDP_ns_prop = mean(NDP1_ns)
by religion, sort: egen NDP_fs_prop = mean(NDP1_fs)
by religion, sort: egen NDP_vs_prop = mean(NDP1_vs)

by religion, sort: egen socialc_ns_prop=mean(SocCred_ns)
by religion, sort: egen socialc_fs_prop=mean(SocCred_fs)
by religion, sort: egen socialc_vs_prop=mean(SocCred_vs)

by religion, sort: egen crediste_ns_prop=mean(Crediste_ns)
by religion, sort: egen crediste_fs_prop=mean(Crediste_fs)
by religion, sort: egen crediste_vs_prop=mean(Crediste_vs)

by religion, sort: egen union_ns_prop=mean(Union_ns)
by religion, sort: egen union_fs_prop=mean(Union_fs)
by religion, sort: egen union_vs_prop=mean(Union_vs)

by religion, sort: egen other_ns_prop = mean(Other1_ns)
by religion, sort: egen other_fs_prop = mean(Other1_fs)
by religion, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(religion)
gen sub_n="religion"

decode religion, gen(group)
replace group="_1cath" in 1
replace group="_2chr" in 2
replace group="_3other" in 3
replace group="_4nrel" in 4

order year sub_n religion group

drop religion
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 religion prop.dta"
clear




***********************************************************
***********************************************************
*1965 Party identification proportions, region
use "AUGUST\1965\1965 edited prop.dta"

count if region==.
drop if region==.
***
by region, sort: egen lib_ns_prop=mean(Lib_ns)
by region, sort: egen lib_fs_prop=mean(Lib_fs)
by region, sort: egen lib_vs_prop=mean(Lib_vs)

by region, sort: egen con_ns_prop=mean(Con_ns)
by region, sort: egen con_fs_prop=mean(Con_fs)
by region, sort: egen con_vs_prop=mean(Con_vs)

by region, sort: egen NDP_ns_prop = mean(NDP1_ns)
by region, sort: egen NDP_fs_prop = mean(NDP1_fs)
by region, sort: egen NDP_vs_prop = mean(NDP1_vs)

by region, sort: egen socialc_ns_prop=mean(SocCred_ns)
by region, sort: egen socialc_fs_prop=mean(SocCred_fs)
by region, sort: egen socialc_vs_prop=mean(SocCred_vs)

by region, sort: egen crediste_ns_prop=mean(Crediste_ns)
by region, sort: egen crediste_fs_prop=mean(Crediste_fs)
by region, sort: egen crediste_vs_prop=mean(Crediste_vs)

by region, sort: egen union_ns_prop=mean(Union_ns)
by region, sort: egen union_fs_prop=mean(Union_fs)
by region, sort: egen union_vs_prop=mean(Union_vs)

by region, sort: egen other_ns_prop = mean(Other1_ns)
by region, sort: egen other_fs_prop = mean(Other1_fs)
by region, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(region)
gen sub_n="region"

decode region, gen(group)
replace group="_1Marit" in 1
replace group="_2Queb" in 2
replace group="_3Ontar" in 3
replace group="_4West" in 4

order year sub_n region group

drop region
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 region prop.dta"
clear





***********************************************************
***********************************************************
*1965 Party identification proportions, union
use "AUGUST\1965\1965 edited prop.dta"

count if union==.
drop if union==.
***
by union, sort: egen lib_ns_prop=mean(Lib_ns)
by union, sort: egen lib_fs_prop=mean(Lib_fs)
by union, sort: egen lib_vs_prop=mean(Lib_vs)

by union, sort: egen con_ns_prop=mean(Con_ns)
by union, sort: egen con_fs_prop=mean(Con_fs)
by union, sort: egen con_vs_prop=mean(Con_vs)

by union, sort: egen NDP_ns_prop = mean(NDP1_ns)
by union, sort: egen NDP_fs_prop = mean(NDP1_fs)
by union, sort: egen NDP_vs_prop = mean(NDP1_vs)

by union, sort: egen socialc_ns_prop=mean(SocCred_ns)
by union, sort: egen socialc_fs_prop=mean(SocCred_fs)
by union, sort: egen socialc_vs_prop=mean(SocCred_vs)

by union, sort: egen crediste_ns_prop=mean(Crediste_ns)
by union, sort: egen crediste_fs_prop=mean(Crediste_fs)
by union, sort: egen crediste_vs_prop=mean(Crediste_vs)

by union, sort: egen union_ns_prop=mean(Union_ns)
by union, sort: egen union_fs_prop=mean(Union_fs)
by union, sort: egen union_vs_prop=mean(Union_vs)

by union, sort: egen other_ns_prop = mean(Other1_ns)
by union, sort: egen other_fs_prop = mean(Other1_fs)
by union, sort: egen other_vs_prop = mean(Other1_vs)


***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(union)
gen sub_n="union"

decode union, gen(group)
replace group="_1union" in 1
replace group="_2nunion" in 2

order year sub_n union group

drop union
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 union prop.dta"
clear





***********************************************************
***********************************************************
*1965 Party identification proportions, ethnicity
use "AUGUST\1965\1965 edited prop.dta"

count if ethnicity==.
drop if ethnicity==.
***
by ethnicity, sort: egen lib_ns_prop=mean(Lib_ns)
by ethnicity, sort: egen lib_fs_prop=mean(Lib_fs)
by ethnicity, sort: egen lib_vs_prop=mean(Lib_vs)

by ethnicity, sort: egen con_ns_prop=mean(Con_ns)
by ethnicity, sort: egen con_fs_prop=mean(Con_fs)
by ethnicity, sort: egen con_vs_prop=mean(Con_vs)

by ethnicity, sort: egen NDP_ns_prop = mean(NDP1_ns)
by ethnicity, sort: egen NDP_fs_prop = mean(NDP1_fs)
by ethnicity, sort: egen NDP_vs_prop = mean(NDP1_vs)

by ethnicity, sort: egen socialc_ns_prop=mean(SocCred_ns)
by ethnicity, sort: egen socialc_fs_prop=mean(SocCred_fs)
by ethnicity, sort: egen socialc_vs_prop=mean(SocCred_vs)

by ethnicity, sort: egen crediste_ns_prop=mean(Crediste_ns)
by ethnicity, sort: egen crediste_fs_prop=mean(Crediste_fs)
by ethnicity, sort: egen crediste_vs_prop=mean(Crediste_vs)

by ethnicity, sort: egen union_ns_prop=mean(Union_ns)
by ethnicity, sort: egen union_fs_prop=mean(Union_fs)
by ethnicity, sort: egen union_vs_prop=mean(Union_vs)

by ethnicity, sort: egen other_ns_prop = mean(Other1_ns)
by ethnicity, sort: egen other_fs_prop = mean(Other1_fs)
by ethnicity, sort: egen other_vs_prop = mean(Other1_vs)


***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(ethnicity)
gen sub_n="ethnicity"

decode ethnicity, gen(group)
replace group="_1Euro" in 1
replace group="_2nEuro" in 2

order year sub_n ethnicity group

drop ethnicity
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 ethnicity prop.dta"
clear




***********************************************************
***********************************************************
*1965 Party identification proportions, partisan
use "AUGUST\1965\1965 edited prop.dta"

count if partisan==.
drop if partisan==.
***
by partisan, sort: egen lib_ns_prop=mean(Lib_ns)
by partisan, sort: egen lib_fs_prop=mean(Lib_fs)
by partisan, sort: egen lib_vs_prop=mean(Lib_vs)

by partisan, sort: egen con_ns_prop=mean(Con_ns)
by partisan, sort: egen con_fs_prop=mean(Con_fs)
by partisan, sort: egen con_vs_prop=mean(Con_vs)

by partisan, sort: egen NDP_ns_prop = mean(NDP1_ns)
by partisan, sort: egen NDP_fs_prop = mean(NDP1_fs)
by partisan, sort: egen NDP_vs_prop = mean(NDP1_vs)

by partisan, sort: egen socialc_ns_prop=mean(SocCred_ns)
by partisan, sort: egen socialc_fs_prop=mean(SocCred_fs)
by partisan, sort: egen socialc_vs_prop=mean(SocCred_vs)

by partisan, sort: egen crediste_ns_prop=mean(Crediste_ns)
by partisan, sort: egen crediste_fs_prop=mean(Crediste_fs)
by partisan, sort: egen crediste_vs_prop=mean(Crediste_vs)

by partisan, sort: egen union_ns_prop=mean(Union_ns)
by partisan, sort: egen union_fs_prop=mean(Union_fs)
by partisan, sort: egen union_vs_prop=mean(Union_vs)

by partisan, sort: egen other_ns_prop = mean(Other1_ns)
by partisan, sort: egen other_fs_prop = mean(Other1_fs)
by partisan, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(partisan)
gen sub_n="partisan"

decode partisan, gen(group)
replace group="_1LibPar" in 1
replace group="_2ConPar" in 2
replace group="_3NDPPar" in 3
replace group="_4OtherPar" in 4

order year sub_n partisan group

drop partisan
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 partisan prop.dta"
clear





***********************************************************
***********************************************************
*1965 Party identification proportions, type
use "AUGUST\1965\1965 edited prop.dta"

count if type==.
drop if type==.
***
by type, sort: egen lib_ns_prop=mean(Lib_ns)
by type, sort: egen lib_fs_prop=mean(Lib_fs)
by type, sort: egen lib_vs_prop=mean(Lib_vs)

by type, sort: egen con_ns_prop=mean(Con_ns)
by type, sort: egen con_fs_prop=mean(Con_fs)
by type, sort: egen con_vs_prop=mean(Con_vs)

by type, sort: egen NDP_ns_prop = mean(NDP1_ns)
by type, sort: egen NDP_fs_prop = mean(NDP1_fs)
by type, sort: egen NDP_vs_prop = mean(NDP1_vs)

by type, sort: egen socialc_ns_prop=mean(SocCred_ns)
by type, sort: egen socialc_fs_prop=mean(SocCred_fs)
by type, sort: egen socialc_vs_prop=mean(SocCred_vs)

by type, sort: egen crediste_ns_prop=mean(Crediste_ns)
by type, sort: egen crediste_fs_prop=mean(Crediste_fs)
by type, sort: egen crediste_vs_prop=mean(Crediste_vs)

by type, sort: egen union_ns_prop=mean(Union_ns)
by type, sort: egen union_fs_prop=mean(Union_fs)
by type, sort: egen union_vs_prop=mean(Union_vs)

by type, sort: egen other_ns_prop = mean(Other1_ns)
by type, sort: egen other_fs_prop = mean(Other1_fs)
by type, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(type)
gen sub_n="type"

decode type, gen(group)
replace group="_1urban" in 1
replace group="_2nurban" in 2

order year sub_n type group

drop type
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 type prop.dta"
clear









***********************************************************
***********************************************************
*1965 Party identification proportions, regxrel
use "AUGUST\1965\1965 edited prop.dta"

count if regxrel==.
drop if regxrel==.
***
by regxrel, sort: egen lib_ns_prop=mean(Lib_ns)
by regxrel, sort: egen lib_fs_prop=mean(Lib_fs)
by regxrel, sort: egen lib_vs_prop=mean(Lib_vs)

by regxrel, sort: egen con_ns_prop=mean(Con_ns)
by regxrel, sort: egen con_fs_prop=mean(Con_fs)
by regxrel, sort: egen con_vs_prop=mean(Con_vs)

by regxrel, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxrel, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxrel, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxrel, sort: egen socialc_ns_prop=mean(SocCred_ns)
by regxrel, sort: egen socialc_fs_prop=mean(SocCred_fs)
by regxrel, sort: egen socialc_vs_prop=mean(SocCred_vs)

by regxrel, sort: egen crediste_ns_prop=mean(Crediste_ns)
by regxrel, sort: egen crediste_fs_prop=mean(Crediste_fs)
by regxrel, sort: egen crediste_vs_prop=mean(Crediste_vs)

by regxrel, sort: egen union_ns_prop=mean(Union_ns)
by regxrel, sort: egen union_fs_prop=mean(Union_fs)
by regxrel, sort: egen union_vs_prop=mean(Union_vs)

by regxrel, sort: egen other_ns_prop = mean(Other1_ns)
by regxrel, sort: egen other_fs_prop = mean(Other1_fs)
by regxrel, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(regxrel)
gen sub_n="regxrel"

decode regxrel, gen(group)
replace group="_1QbCat" in 1
replace group="_2QbChr" in 2
replace group="_3NQbCat" in 3
replace group="_4NQbChr" in 4
order year sub_n regxrel group

drop regxrel
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 regxrel prop.dta"
clear






***********************************************************
***********************************************************
*1965 Party identification proportions, regxun
use "AUGUST\1965\1965 edited prop.dta"

count if regxun==.
drop if regxun==.
***
by regxun, sort: egen lib_ns_prop=mean(Lib_ns)
by regxun, sort: egen lib_fs_prop=mean(Lib_fs)
by regxun, sort: egen lib_vs_prop=mean(Lib_vs)

by regxun, sort: egen con_ns_prop=mean(Con_ns)
by regxun, sort: egen con_fs_prop=mean(Con_fs)
by regxun, sort: egen con_vs_prop=mean(Con_vs)

by regxun, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxun, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxun, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxun, sort: egen socialc_ns_prop=mean(SocCred_ns)
by regxun, sort: egen socialc_fs_prop=mean(SocCred_fs)
by regxun, sort: egen socialc_vs_prop=mean(SocCred_vs)

by regxun, sort: egen crediste_ns_prop=mean(Crediste_ns)
by regxun, sort: egen crediste_fs_prop=mean(Crediste_fs)
by regxun, sort: egen crediste_vs_prop=mean(Crediste_vs)

by regxun, sort: egen union_ns_prop=mean(Union_ns)
by regxun, sort: egen union_fs_prop=mean(Union_fs)
by regxun, sort: egen union_vs_prop=mean(Union_vs)

by regxun, sort: egen other_ns_prop = mean(Other1_ns)
by regxun, sort: egen other_fs_prop = mean(Other1_fs)
by regxun, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* socialc_* crediste_* union_* other_* [pweight=v4], by(regxun)
gen sub_n="regxun"

decode regxun, gen(group)
replace group="_1QbU" in 1
replace group="_2QbNonU" in 2
replace group="_3NQbU" in 3
replace group="_4NQbNonU" in 4

order year sub_n regxun group

drop regxun
quietly: reshape wide lib_* con_* NDP_* socialc_* crediste_* union_* other_*, i(year sub_n) j(group) string
save "AUGUST\1965\1965 regxun prop.dta"
clear
