**********************************************************
**********************************************************

*1984 Party identification proportions
*set directory
cd "M:\Kollman Party Project IFS\Canada"
use "AUGUST\1984\1984 edited id.dta"

*LIBERAL
egen LibStr = group (LibPart idstr)
list LibPart idstr LibStr in 1/25
label define L45 1 "lib_ns" 2 "lib_fs" 3 "lib_vs"
label values LibStr L45

gen Lib_ns=.
replace Lib_ns=0 if LibStr==2 | LibStr==3
replace Lib_ns=1 if LibStr==1
gen Lib_fs=.
replace Lib_fs=0 if LibStr==1 | LibStr==3
replace Lib_fs=1 if LibStr==2
gen Lib_vs=.
replace Lib_v=0 if LibStr==1 | LibStr==2
replace Lib_vs=1 if LibStr==3

*PROGRESSIVE CONSERVATIVE
egen ProgCStr = group (ProgCPart idstr)
label define L46 1 "prog cons_ns" 2 "prog cons_fs" 3 "prog cons_vs"
label values ProgCStr L46

gen ProgC_ns=.
replace ProgC_ns=0 if ProgCStr==2 | ProgCStr==3
replace ProgC_ns=1 if ProgCStr==1
gen ProgC_fs=.
replace ProgC_fs=0 if ProgCStr==1 | ProgCStr==3
replace ProgC_fs=1 if ProgCStr==2
gen ProgC_vs=.
replace ProgC_vs=0 if ProgCStr==2 | ProgCStr==1
replace ProgC_vs=1 if ProgCStr==3

*NDP
egen NDPStr = group (NDPP idstr)
label define L123 1 "NDP_ns" 2 "NDP_fs" 3 "NDP_vs"
label values NDPS L123

gen NDP1_ns=.
replace NDP1_ns=0 if NDPS==2 |NDPS==3
replace NDP1_ns=1 if NDPS==1
gen NDP1_fs=.
replace NDP1_fs=0 if NDPS==1 |NDPS==3
replace NDP1_fs=1 if NDPS==2
gen NDP1_vs=.
replace NDP1_vs=0 if NDPS==1 |NDPS==2
replace NDP1_vs=1 if NDPS==3

*SOCIAL CREDIT
egen SocCredStr = group (SocCredPart idstr)
label define l91 1 "soc credit_ns" 2 "soc credit_fs" 3 "soc credit_vs"
label values SocCredStr l91

gen SocCred_ns=.
replace SocCred_ns=0 if SocCredStr==2 |SocCredStr==3
replace SocCred_ns=1 if SocCredStr==1
gen SocCred_fs=.
replace SocCred_fs=0 if SocCredStr==1 |SocCredStr==3
replace SocCred_fs=1 if SocCredStr==2
gen SocCred_vs=.
replace SocCred_vs=0 if SocCredStr==1 |SocCredStr==2
replace SocCred_vs=1 if SocCredStr==3

*PARTI NATIONALISTE
egen PartiNStr = group (PartiNatPart idstr)
label define Lab3 1 "Parti Nat_ns" 2 "Parti Nat_fs" 3 "Parti Nat_vs"
label values PartiNStr Lab3

gen PartiN_ns=.
replace PartiN_ns=0 if PartiNStr==2 | PartiNStr==3
replace PartiN_ns=1 if PartiNStr==1
gen PartiN_fs=.
replace PartiN_fs=0 if PartiNStr==1 | PartiNStr==3
replace PartiN_fs=1 if PartiNStr==2
gen PartiN_vs=.
replace PartiN_vs=0 if PartiNStr==2 | PartiNStr==1
replace PartiN_vs=1 if PartiNStr==3

*OTHER
egen OtherStr = group (OtherPar idstr)
label define Lab55 1 "other_ns" 2 "other_fs" 3 "other_vs"
label values OtherStr Lab55

gen Other1_ns=.
replace Other1_ns=0 if OtherStr==2 | OtherS==3
replace Other1_ns=1 if OtherStr==1
gen Other1_fs=.
replace Other1_fs=0 if OtherStr==1 | OtherS==3
replace Other1_fs=1 if OtherStr==2
gen Other1_vs=.
replace Other1_vs=0 if OtherStr==2 | OtherS==1
replace Other1_vs=1 if OtherStr==3

save "AUGUST\1984\1984 edited prop.dta"
collapse year (mean) lib_ns_prop=Lib_ns lib_fs_prop=Lib_fs lib_vs_prop=Lib_vs progC_ns_prop=ProgC_ns progC_fs_prop=ProgC_fs progC_vs_prop=ProgC_vs NDP_ns_prop=NDP1_ns NDP_fs_prop=NDP1_fs NDP_vs_prop=NDP1_vs socialc_ns_prop=SocCred_ns socialc_fs_prop=SocCred_fs socialc_vs_prop=SocCred_vs parti_ns_prop=PartiN_ns parti_fs_prop=PartiN_fs parti_vs_prop=PartiN_vs other_ns_prop=Other1_n other_fs_prop=Other1_f other_vs_prop=Other1_v [pweight=wtfactor]
save "AUGUST\1984\1984 total prop.dta"
clear



***********************************************************
***********************************************************
*1984 Party identification proportions, Religion
use "AUGUST\1984\1984 edited prop.dta"

count if religion==.
drop if religion==.
***
by religion, sort: egen lib_ns_prop=mean(Lib_ns)
by religion, sort: egen lib_fs_prop=mean(Lib_fs)
by religion, sort: egen lib_vs_prop=mean(Lib_vs)

by religion, sort: egen progC_ns_prop=mean(ProgC_ns)
by religion, sort: egen progC_fs_prop=mean(ProgC_fs)
by religion, sort: egen progC_vs_prop=mean(ProgC_vs)

by religion, sort: egen NDP_ns_prop = mean(NDP1_ns)
by religion, sort: egen NDP_fs_prop = mean(NDP1_fs)
by religion, sort: egen NDP_vs_prop = mean(NDP1_vs)

by religion, sort: egen socialc_ns_prop=mean(SocCred_ns)
by religion, sort: egen socialc_fs_prop=mean(SocCred_fs)
by religion, sort: egen socialc_vs_prop=mean(SocCred_vs)

by religion, sort: egen parti_ns_prop=mean(PartiN_ns)
by religion, sort: egen parti_fs_prop=mean(PartiN_fs)
by religion, sort: egen parti_vs_prop=mean(PartiN_vs)

by religion, sort: egen other_ns_prop = mean(Other1_ns)
by religion, sort: egen other_fs_prop = mean(Other1_fs)
by religion, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(religion)
gen sub_n="religion"

decode religion, gen(group)
replace group="_1cath" in 1
replace group="_2chr" in 2
replace group="_3other" in 3
replace group="_4nrel" in 4

order year sub_n religion group

drop religion
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 religion prop.dta"
clear




***********************************************************
***********************************************************
*1984 Party identification proportions, region
use "AUGUST\1984\1984 edited prop.dta"

count if region==.
drop if region==.
***
by region, sort: egen lib_ns_prop=mean(Lib_ns)
by region, sort: egen lib_fs_prop=mean(Lib_fs)
by region, sort: egen lib_vs_prop=mean(Lib_vs)

by region, sort: egen progC_ns_prop=mean(ProgC_ns)
by region, sort: egen progC_fs_prop=mean(ProgC_fs)
by region, sort: egen progC_vs_prop=mean(ProgC_vs)

by region, sort: egen NDP_ns_prop = mean(NDP1_ns)
by region, sort: egen NDP_fs_prop = mean(NDP1_fs)
by region, sort: egen NDP_vs_prop = mean(NDP1_vs)

by region, sort: egen socialc_ns_prop=mean(SocCred_ns)
by region, sort: egen socialc_fs_prop=mean(SocCred_fs)
by region, sort: egen socialc_vs_prop=mean(SocCred_vs)

by region, sort: egen parti_ns_prop=mean(PartiN_ns)
by region, sort: egen parti_fs_prop=mean(PartiN_fs)
by region, sort: egen parti_vs_prop=mean(PartiN_vs)

by region, sort: egen other_ns_prop = mean(Other1_ns)
by region, sort: egen other_fs_prop = mean(Other1_fs)
by region, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(region)
gen sub_n="region"

decode region, gen(group)
replace group="_1Marit" in 1
replace group="_2Queb" in 2
replace group="_3Ontar" in 3
replace group="_4West" in 4

order year sub_n region group

drop region
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 region prop.dta"
clear





***********************************************************
***********************************************************
*1984 Party identification proportions, union
use "AUGUST\1984\1984 edited prop.dta"

count if union==.
drop if union==.
***
by union, sort: egen lib_ns_prop=mean(Lib_ns)
by union, sort: egen lib_fs_prop=mean(Lib_fs)
by union, sort: egen lib_vs_prop=mean(Lib_vs)

by union, sort: egen progC_ns_prop=mean(ProgC_ns)
by union, sort: egen progC_fs_prop=mean(ProgC_fs)
by union, sort: egen progC_vs_prop=mean(ProgC_vs)

by union, sort: egen NDP_ns_prop = mean(NDP1_ns)
by union, sort: egen NDP_fs_prop = mean(NDP1_fs)
by union, sort: egen NDP_vs_prop = mean(NDP1_vs)

by union, sort: egen socialc_ns_prop=mean(SocCred_ns)
by union, sort: egen socialc_fs_prop=mean(SocCred_fs)
by union, sort: egen socialc_vs_prop=mean(SocCred_vs)

by union, sort: egen parti_ns_prop=mean(PartiN_ns)
by union, sort: egen parti_fs_prop=mean(PartiN_fs)
by union, sort: egen parti_vs_prop=mean(PartiN_vs)

by union, sort: egen other_ns_prop = mean(Other1_ns)
by union, sort: egen other_fs_prop = mean(Other1_fs)
by union, sort: egen other_vs_prop = mean(Other1_vs)


***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(union)
gen sub_n="union"

decode union, gen(group)
replace group="_1union" in 1
replace group="_2nunion" in 2

order year sub_n union group

drop union
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 union prop.dta"
clear





***********************************************************
***********************************************************
*1984 Party identification proportions, ethnicity
use "AUGUST\1984\1984 edited prop.dta"

count if ethnicity==.
drop if ethnicity==.
***
by ethnicity, sort: egen lib_ns_prop=mean(Lib_ns)
by ethnicity, sort: egen lib_fs_prop=mean(Lib_fs)
by ethnicity, sort: egen lib_vs_prop=mean(Lib_vs)

by ethnicity, sort: egen progC_ns_prop=mean(ProgC_ns)
by ethnicity, sort: egen progC_fs_prop=mean(ProgC_fs)
by ethnicity, sort: egen progC_vs_prop=mean(ProgC_vs)

by ethnicity, sort: egen NDP_ns_prop = mean(NDP1_ns)
by ethnicity, sort: egen NDP_fs_prop = mean(NDP1_fs)
by ethnicity, sort: egen NDP_vs_prop = mean(NDP1_vs)

by ethnicity, sort: egen socialc_ns_prop=mean(SocCred_ns)
by ethnicity, sort: egen socialc_fs_prop=mean(SocCred_fs)
by ethnicity, sort: egen socialc_vs_prop=mean(SocCred_vs)

by ethnicity, sort: egen parti_ns_prop=mean(PartiN_ns)
by ethnicity, sort: egen parti_fs_prop=mean(PartiN_fs)
by ethnicity, sort: egen parti_vs_prop=mean(PartiN_vs)

by ethnicity, sort: egen other_ns_prop = mean(Other1_ns)
by ethnicity, sort: egen other_fs_prop = mean(Other1_fs)
by ethnicity, sort: egen other_vs_prop = mean(Other1_vs)


***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(ethnicity)
gen sub_n="ethnicity"

decode ethnicity, gen(group)
replace group="_1Euro" in 1
replace group="_2nEuro" in 2

order year sub_n ethnicity group

drop ethnicity
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 ethnicity prop.dta"
clear




***********************************************************
***********************************************************
*1984 Party identification proportions, partisan
use "AUGUST\1984\1984 edited prop.dta"

count if partisan==.
drop if partisan==.
***
by partisan, sort: egen lib_ns_prop=mean(Lib_ns)
by partisan, sort: egen lib_fs_prop=mean(Lib_fs)
by partisan, sort: egen lib_vs_prop=mean(Lib_vs)

by partisan, sort: egen progC_ns_prop=mean(ProgC_ns)
by partisan, sort: egen progC_fs_prop=mean(ProgC_fs)
by partisan, sort: egen progC_vs_prop=mean(ProgC_vs)

by partisan, sort: egen NDP_ns_prop = mean(NDP1_ns)
by partisan, sort: egen NDP_fs_prop = mean(NDP1_fs)
by partisan, sort: egen NDP_vs_prop = mean(NDP1_vs)

by partisan, sort: egen socialc_ns_prop=mean(SocCred_ns)
by partisan, sort: egen socialc_fs_prop=mean(SocCred_fs)
by partisan, sort: egen socialc_vs_prop=mean(SocCred_vs)

by partisan, sort: egen parti_ns_prop=mean(PartiN_ns)
by partisan, sort: egen parti_fs_prop=mean(PartiN_fs)
by partisan, sort: egen parti_vs_prop=mean(PartiN_vs)

by partisan, sort: egen other_ns_prop = mean(Other1_ns)
by partisan, sort: egen other_fs_prop = mean(Other1_fs)
by partisan, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(partisan)
gen sub_n="partisan"

decode partisan, gen(group)
replace group="_1LibPar" in 1
replace group="_2ProgCPar" in 2
replace group="_3NDPPar" in 3
replace group="_4OtherPar" in 4

order year sub_n partisan group

drop partisan
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 partisan prop.dta"
clear





***********************************************************
***********************************************************
*1984 Party identification proportions, type
use "AUGUST\1984\1984 edited prop.dta"

count if type==.
drop if type==.
***
by type, sort: egen lib_ns_prop=mean(Lib_ns)
by type, sort: egen lib_fs_prop=mean(Lib_fs)
by type, sort: egen lib_vs_prop=mean(Lib_vs)

by type, sort: egen progC_ns_prop=mean(ProgC_ns)
by type, sort: egen progC_fs_prop=mean(ProgC_fs)
by type, sort: egen progC_vs_prop=mean(ProgC_vs)

by type, sort: egen NDP_ns_prop = mean(NDP1_ns)
by type, sort: egen NDP_fs_prop = mean(NDP1_fs)
by type, sort: egen NDP_vs_prop = mean(NDP1_vs)

by type, sort: egen socialc_ns_prop=mean(SocCred_ns)
by type, sort: egen socialc_fs_prop=mean(SocCred_fs)
by type, sort: egen socialc_vs_prop=mean(SocCred_vs)

by type, sort: egen parti_ns_prop=mean(PartiN_ns)
by type, sort: egen parti_fs_prop=mean(PartiN_fs)
by type, sort: egen parti_vs_prop=mean(PartiN_vs)

by type, sort: egen other_ns_prop = mean(Other1_ns)
by type, sort: egen other_fs_prop = mean(Other1_fs)
by type, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(type)
gen sub_n="type"

decode type, gen(group)
replace group="_1urban" in 1
replace group="_2nurban" in 2

order year sub_n type group

drop type
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 type prop.dta"
clear







***********************************************************
***********************************************************
*1984 Party identification proportions, regxrel
use "AUGUST\1984\1984 edited prop.dta"

count if regxrel==.
drop if regxrel==.
***
by regxrel, sort: egen lib_ns_prop=mean(Lib_ns)
by regxrel, sort: egen lib_fs_prop=mean(Lib_fs)
by regxrel, sort: egen lib_vs_prop=mean(Lib_vs)

by regxrel, sort: egen progC_ns_prop=mean(ProgC_ns)
by regxrel, sort: egen progC_fs_prop=mean(ProgC_fs)
by regxrel, sort: egen progC_vs_prop=mean(ProgC_vs)

by regxrel, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxrel, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxrel, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxrel, sort: egen socialc_ns_prop=mean(SocCred_ns)
by regxrel, sort: egen socialc_fs_prop=mean(SocCred_fs)
by regxrel, sort: egen socialc_vs_prop=mean(SocCred_vs)

by regxrel, sort: egen parti_ns_prop=mean(PartiN_ns)
by regxrel, sort: egen parti_fs_prop=mean(PartiN_fs)
by regxrel, sort: egen parti_vs_prop=mean(PartiN_vs)

by regxrel, sort: egen other_ns_prop = mean(Other1_ns)
by regxrel, sort: egen other_fs_prop = mean(Other1_fs)
by regxrel, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(regxrel)
gen sub_n="regxrel"

decode regxrel, gen(group)
replace group="_1QbCat" in 1
replace group="_2QbChr" in 2
replace group="_3NQbCat" in 3
replace group="_4NQbChr" in 4

order year sub_n regxrel group

drop regxrel
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 regxrel prop.dta"
clear







***********************************************************
***********************************************************
*1984 Party identification proportions, regxun
use "AUGUST\1984\1984 edited prop.dta"

count if regxun==.
drop if regxun==.
***
by regxun, sort: egen lib_ns_prop=mean(Lib_ns)
by regxun, sort: egen lib_fs_prop=mean(Lib_fs)
by regxun, sort: egen lib_vs_prop=mean(Lib_vs)

by regxun, sort: egen progC_ns_prop=mean(ProgC_ns)
by regxun, sort: egen progC_fs_prop=mean(ProgC_fs)
by regxun, sort: egen progC_vs_prop=mean(ProgC_vs)

by regxun, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxun, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxun, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxun, sort: egen socialc_ns_prop=mean(SocCred_ns)
by regxun, sort: egen socialc_fs_prop=mean(SocCred_fs)
by regxun, sort: egen socialc_vs_prop=mean(SocCred_vs)

by regxun, sort: egen parti_ns_prop=mean(PartiN_ns)
by regxun, sort: egen parti_fs_prop=mean(PartiN_fs)
by regxun, sort: egen parti_vs_prop=mean(PartiN_vs)

by regxun, sort: egen other_ns_prop = mean(Other1_ns)
by regxun, sort: egen other_fs_prop = mean(Other1_fs)
by regxun, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* socialc_* parti_* other_* [pweight=wtfactor], by(regxun)
gen sub_n="regxun"

decode regxun, gen(group)
replace group="_1QbU" in 1
replace group="_2QbNonU" in 2
replace group="_3NQbU" in 3
replace group="_4NQbNonU" in 4

order year sub_n regxun group

drop regxun
quietly: reshape wide lib_* progC_* NDP_* socialc_* parti_* other_*, i(year sub_n) j(group) string
save "AUGUST\1984\1984 regxun prop.dta"
clear
