**********************************************************
**********************************************************

*1997 Party identification proportions
*set directory
cd "M:\Kollman Party Project IFS\Canada"
use "AUGUST\1997\1997 edited id.dta"

*LIBERAL
egen LibStr = group (LibPart idstr)
list LibPart idstr LibStr in 1/25
label define L45 1 "lib_ns" 2 "lib_fs" 3 "lib_vs"
label values LibStr L45

gen Lib_ns=.
replace Lib_ns=0 if LibStr==2 | LibStr==3
replace Lib_ns=1 if LibStr==1
gen Lib_fs=.
replace Lib_fs=0 if LibStr==1 | LibStr==3
replace Lib_fs=1 if LibStr==2
gen Lib_vs=.
replace Lib_v=0 if LibStr==1 | LibStr==2
replace Lib_vs=1 if LibStr==3

*PROGRESSIVE CONSERVATIVE
egen ProgCStr = group (ProgCPart idstr)
label define L46 1 "prog cons_ns" 2 "prog cons_fs" 3 "prog cons_vs"
label values ProgCStr L46

gen ProgC_ns=.
replace ProgC_ns=0 if ProgCStr==2 | ProgCStr==3
replace ProgC_ns=1 if ProgCStr==1
gen ProgC_fs=.
replace ProgC_fs=0 if ProgCStr==1 | ProgCStr==3
replace ProgC_fs=1 if ProgCStr==2
gen ProgC_vs=.
replace ProgC_vs=0 if ProgCStr==2 | ProgCStr==1
replace ProgC_vs=1 if ProgCStr==3

*NDP
egen NDPStr = group (NDPP idstr)
label define L123 1 "NDP_ns" 2 "NDP_fs" 3 "NDP_vs"
label values NDPS L123

gen NDP1_ns=.
replace NDP1_ns=0 if NDPS==2 |NDPS==3
replace NDP1_ns=1 if NDPS==1
gen NDP1_fs=.
replace NDP1_fs=0 if NDPS==1 |NDPS==3
replace NDP1_fs=1 if NDPS==2
gen NDP1_vs=.
replace NDP1_vs=0 if NDPS==1 |NDPS==2
replace NDP1_vs=1 if NDPS==3

*REFORM
egen ReformStr = group (ReformPart idstr)
label define Lab34 1 "Reform_ns" 2 "Reform_fs" 3 "Reform_vs"
label values ReformStr Lab4

gen Ref_ns=.
replace Ref_ns=0 if ReformStr==2 | ReformStr==3
replace Ref_ns=1 if ReformStr==1
gen Ref_fs=.
replace Ref_fs=0 if ReformStr==1 | ReformStr==3
replace Ref_fs=1 if ReformStr==2
gen Ref_vs=.
replace Ref_vs=0 if ReformStr==2 | ReformStr==1
replace Ref_vs=1 if ReformStr==3

*BLOC QUEBECOIS
egen BlocQStr = group (BlocQPar idstr)
label define lb98 1 "BlocQ_ns" 2 "BlocQ_fs" 3 "BlocQ_vs"
label values BlocQStr lb98

gen BQ_ns=.
replace BQ_ns=0 if BlocQStr==2 |BlocQStr==3
replace BQ_ns=1 if BlocQStr==1
gen BQ_fs=.
replace BQ_fs=0 if BlocQStr==1 |BlocQStr==3
replace BQ_fs=1 if BlocQStr==2
gen BQ_vs=.
replace BQ_vs=0 if BlocQStr==1 |BlocQStr==2
replace BQ_vs=1 if BlocQStr==3


*OTHER
egen OtherStr = group (OtherPar idstr)
label define Lab55 1 "other_ns" 2 "other_fs" 3 "other_vs"
label values OtherStr Lab55

gen Other1_ns=.
replace Other1_ns=0 if OtherStr==2 | OtherS==3
replace Other1_ns=1 if OtherStr==1
gen Other1_fs=.
replace Other1_fs=0 if OtherStr==1 | OtherS==3
replace Other1_fs=1 if OtherStr==2
gen Other1_vs=.
replace Other1_vs=0 if OtherStr==2 | OtherS==1
replace Other1_vs=1 if OtherStr==3

save "AUGUST\1997\1997 edited prop.dta"
collapse year (mean) lib_ns_prop=Lib_ns lib_fs_prop=Lib_fs lib_vs_prop=Lib_vs progC_ns_prop=ProgC_ns progC_fs_prop=ProgC_fs progC_vs_prop=ProgC_vs NDP_ns_prop=NDP1_ns NDP_fs_prop=NDP1_fs NDP_vs_prop=NDP1_vs reform_ns_prop=Ref_ns reform_fs_prop=Ref_vs reform_vs_prop=Ref_vs blocq_ns_prop=BQ_ns blocq_fs_prop=BQ_fs blocq_vs_prop=BQ_vs other_ns_prop=Other1_n other_fs_prop=Other1_f other_vs_prop=Other1_v [pweight=cpsnwgt1]
save "AUGUST\1997\1997 total prop.dta"
clear



***********************************************************
***********************************************************
*1997 Party identification proportions, Religion
use "AUGUST\1997\1997 edited prop.dta"

count if religion==.
drop if religion==.
***
by religion, sort: egen lib_ns_prop=mean(Lib_ns)
by religion, sort: egen lib_fs_prop=mean(Lib_fs)
by religion, sort: egen lib_vs_prop=mean(Lib_vs)

by religion, sort: egen progC_ns_prop=mean(ProgC_ns)
by religion, sort: egen progC_fs_prop=mean(ProgC_fs)
by religion, sort: egen progC_vs_prop=mean(ProgC_vs)

by religion, sort: egen NDP_ns_prop = mean(NDP1_ns)
by religion, sort: egen NDP_fs_prop = mean(NDP1_fs)
by religion, sort: egen NDP_vs_prop = mean(NDP1_vs)

by religion, sort: egen reform_ns_prop= mean(Ref_ns)
by religion, sort: egen reform_fs_prop= mean(Ref_fs)
by religion, sort: egen reform_vs_prop= mean(Ref_vs)

by religion, sort: egen blocq_ns_prop= mean(BQ_ns)
by religion, sort: egen blocq_fs_prop= mean(BQ_fs)
by religion, sort: egen blocq_vs_prop= mean(BQ_vs)

by religion, sort: egen other_ns_prop = mean(Other1_ns)
by religion, sort: egen other_fs_prop = mean(Other1_fs)
by religion, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq*  other_* [pweight=cpsnwgt1], by(religion)
gen sub_n="religion"

decode religion, gen(group)
replace group="_1cath" in 1
replace group="_2chr" in 2
replace group="_3other" in 3
replace group="_4nrel" in 4

order year sub_n religion group

drop religion
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 religion prop.dta"
clear




***********************************************************
***********************************************************
*1997 Party identification proportions, region
use "AUGUST\1997\1997 edited prop.dta"

count if region==.
drop if region==.
***
by region, sort: egen lib_ns_prop=mean(Lib_ns)
by region, sort: egen lib_fs_prop=mean(Lib_fs)
by region, sort: egen lib_vs_prop=mean(Lib_vs)

by region, sort: egen progC_ns_prop=mean(ProgC_ns)
by region, sort: egen progC_fs_prop=mean(ProgC_fs)
by region, sort: egen progC_vs_prop=mean(ProgC_vs)

by region, sort: egen NDP_ns_prop = mean(NDP1_ns)
by region, sort: egen NDP_fs_prop = mean(NDP1_fs)
by region, sort: egen NDP_vs_prop = mean(NDP1_vs)

by region, sort: egen reform_ns_prop= mean(Ref_ns)
by region, sort: egen reform_fs_prop= mean(Ref_fs)
by region, sort: egen reform_vs_prop= mean(Ref_vs)

by region, sort: egen blocq_ns_prop= mean(BQ_ns)
by region, sort: egen blocq_fs_prop= mean(BQ_fs)
by region, sort: egen blocq_vs_prop= mean(BQ_vs)

by region, sort: egen other_ns_prop = mean(Other1_ns)
by region, sort: egen other_fs_prop = mean(Other1_fs)
by region, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(region)
gen sub_n="region"

decode region, gen(group)
replace group="_1Marit" in 1
replace group="_2Queb" in 2
replace group="_3Ontar" in 3
replace group="_4West" in 4

order year sub_n region group

drop region
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 region prop.dta"
clear





***********************************************************
***********************************************************
*1997 Party identification proportions, union
use "AUGUST\1997\1997 edited prop.dta"

count if union==.
drop if union==.
***
by union, sort: egen lib_ns_prop=mean(Lib_ns)
by union, sort: egen lib_fs_prop=mean(Lib_fs)
by union, sort: egen lib_vs_prop=mean(Lib_vs)

by union, sort: egen progC_ns_prop=mean(ProgC_ns)
by union, sort: egen progC_fs_prop=mean(ProgC_fs)
by union, sort: egen progC_vs_prop=mean(ProgC_vs)

by union, sort: egen NDP_ns_prop = mean(NDP1_ns)
by union, sort: egen NDP_fs_prop = mean(NDP1_fs)
by union, sort: egen NDP_vs_prop = mean(NDP1_vs)

by union, sort: egen reform_ns_prop= mean(Ref_ns)
by union, sort: egen reform_fs_prop= mean(Ref_fs)
by union, sort: egen reform_vs_prop= mean(Ref_vs)

by union, sort: egen blocq_ns_prop= mean(BQ_ns)
by union, sort: egen blocq_fs_prop= mean(BQ_fs)
by union, sort: egen blocq_vs_prop= mean(BQ_vs)

by union, sort: egen other_ns_prop = mean(Other1_ns)
by union, sort: egen other_fs_prop = mean(Other1_fs)
by union, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(union)
gen sub_n="union"

decode union, gen(group)
replace group="_1union" in 1
replace group="_2nunion" in 2

order year sub_n union group

drop union
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 union prop.dta"
clear





***********************************************************
***********************************************************
*1997 Party identification proportions, ethnicity
use "AUGUST\1997\1997 edited prop.dta"

count if ethnicity==.
drop if ethnicity==.
***
by ethnicity, sort: egen lib_ns_prop=mean(Lib_ns)
by ethnicity, sort: egen lib_fs_prop=mean(Lib_fs)
by ethnicity, sort: egen lib_vs_prop=mean(Lib_vs)

by ethnicity, sort: egen progC_ns_prop=mean(ProgC_ns)
by ethnicity, sort: egen progC_fs_prop=mean(ProgC_fs)
by ethnicity, sort: egen progC_vs_prop=mean(ProgC_vs)

by ethnicity, sort: egen NDP_ns_prop = mean(NDP1_ns)
by ethnicity, sort: egen NDP_fs_prop = mean(NDP1_fs)
by ethnicity, sort: egen NDP_vs_prop = mean(NDP1_vs)

by ethnicity, sort: egen reform_ns_prop= mean(Ref_ns)
by ethnicity, sort: egen reform_fs_prop= mean(Ref_fs)
by ethnicity, sort: egen reform_vs_prop= mean(Ref_vs)

by ethnicity, sort: egen blocq_ns_prop= mean(BQ_ns)
by ethnicity, sort: egen blocq_fs_prop= mean(BQ_fs)
by ethnicity, sort: egen blocq_vs_prop= mean(BQ_vs)

by ethnicity, sort: egen other_ns_prop = mean(Other1_ns)
by ethnicity, sort: egen other_fs_prop = mean(Other1_fs)
by ethnicity, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(ethnicity)
gen sub_n="ethnicity"

decode ethnicity, gen(group)
replace group="_1Euro" in 1
replace group="_2nEuro" in 2

order year sub_n ethnicity group

drop ethnicity
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 ethnicity prop.dta"
clear




***********************************************************
***********************************************************
*1997 Party identification proportions, partisan
use "AUGUST\1997\1997 edited prop.dta"

count if partisan==.
drop if partisan==.
***
by partisan, sort: egen lib_ns_prop=mean(Lib_ns)
by partisan, sort: egen lib_fs_prop=mean(Lib_fs)
by partisan, sort: egen lib_vs_prop=mean(Lib_vs)

by partisan, sort: egen progC_ns_prop=mean(ProgC_ns)
by partisan, sort: egen progC_fs_prop=mean(ProgC_fs)
by partisan, sort: egen progC_vs_prop=mean(ProgC_vs)

by partisan, sort: egen NDP_ns_prop = mean(NDP1_ns)
by partisan, sort: egen NDP_fs_prop = mean(NDP1_fs)
by partisan, sort: egen NDP_vs_prop = mean(NDP1_vs)

by partisan, sort: egen reform_ns_prop= mean(Ref_ns)
by partisan, sort: egen reform_fs_prop= mean(Ref_fs)
by partisan, sort: egen reform_vs_prop= mean(Ref_vs)

by partisan, sort: egen blocq_ns_prop= mean(BQ_ns)
by partisan, sort: egen blocq_fs_prop= mean(BQ_fs)
by partisan, sort: egen blocq_vs_prop= mean(BQ_vs)

by partisan, sort: egen other_ns_prop = mean(Other1_ns)
by partisan, sort: egen other_fs_prop = mean(Other1_fs)
by partisan, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(partisan)
gen sub_n="partisan"

decode partisan, gen(group)
replace group="_1LibPar" in 1
replace group="_2ProgCPar" in 2
replace group="_3NDPPar" in 3
replace group="_4OtherPar" in 4

order year sub_n partisan group

drop partisan
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 partisan prop.dta"
clear



***********************************************************
***********************************************************
*1997 Party identification proportions, type
use "AUGUST\1997\1997 edited prop.dta"

count if type==.
drop if type==.
***
by type, sort: egen lib_ns_prop=mean(Lib_ns)
by type, sort: egen lib_fs_prop=mean(Lib_fs)
by type, sort: egen lib_vs_prop=mean(Lib_vs)

by type, sort: egen progC_ns_prop=mean(ProgC_ns)
by type, sort: egen progC_fs_prop=mean(ProgC_fs)
by type, sort: egen progC_vs_prop=mean(ProgC_vs)

by type, sort: egen NDP_ns_prop = mean(NDP1_ns)
by type, sort: egen NDP_fs_prop = mean(NDP1_fs)
by type, sort: egen NDP_vs_prop = mean(NDP1_vs)

by type, sort: egen reform_ns_prop= mean(Ref_ns)
by type, sort: egen reform_fs_prop= mean(Ref_fs)
by type, sort: egen reform_vs_prop= mean(Ref_vs)

by type, sort: egen blocq_ns_prop= mean(BQ_ns)
by type, sort: egen blocq_fs_prop= mean(BQ_fs)
by type, sort: egen blocq_vs_prop= mean(BQ_vs)

by type, sort: egen other_ns_prop = mean(Other1_ns)
by type, sort: egen other_fs_prop = mean(Other1_fs)
by type, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(type)
gen sub_n="type"

decode type, gen(group)
replace group="_1urban" in 1
replace group="_2nurban" in 2

order year sub_n type group

drop type
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 type prop.dta"
clear









***********************************************************
***********************************************************
*1997 Party identification proportions, regxrel
use "AUGUST\1997\1997 edited prop.dta"

count if regxrel==.
drop if regxrel==.
***
by regxrel, sort: egen lib_ns_prop=mean(Lib_ns)
by regxrel, sort: egen lib_fs_prop=mean(Lib_fs)
by regxrel, sort: egen lib_vs_prop=mean(Lib_vs)

by regxrel, sort: egen progC_ns_prop=mean(ProgC_ns)
by regxrel, sort: egen progC_fs_prop=mean(ProgC_fs)
by regxrel, sort: egen progC_vs_prop=mean(ProgC_vs)

by regxrel, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxrel, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxrel, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxrel, sort: egen reform_ns_prop= mean(Ref_ns)
by regxrel, sort: egen reform_fs_prop= mean(Ref_fs)
by regxrel, sort: egen reform_vs_prop= mean(Ref_vs)

by regxrel, sort: egen blocq_ns_prop= mean(BQ_ns)
by regxrel, sort: egen blocq_fs_prop= mean(BQ_fs)
by regxrel, sort: egen blocq_vs_prop= mean(BQ_vs)

by regxrel, sort: egen other_ns_prop = mean(Other1_ns)
by regxrel, sort: egen other_fs_prop = mean(Other1_fs)
by regxrel, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(regxrel)
gen sub_n="regxrel"

decode regxrel, gen(group)
replace group="_1QbCat" in 1
replace group="_2QbChr" in 2
replace group="_3NQbCat" in 3
replace group="_4NQbChr" in 4
order year sub_n regxrel group

drop regxrel
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 regxrel prop.dta"
clear






***********************************************************
***********************************************************
*1997 Party identification proportions, regxun
use "AUGUST\1997\1997 edited prop.dta"

count if regxun==.
drop if regxun==.
***
by regxun, sort: egen lib_ns_prop=mean(Lib_ns)
by regxun, sort: egen lib_fs_prop=mean(Lib_fs)
by regxun, sort: egen lib_vs_prop=mean(Lib_vs)

by regxun, sort: egen progC_ns_prop=mean(ProgC_ns)
by regxun, sort: egen progC_fs_prop=mean(ProgC_fs)
by regxun, sort: egen progC_vs_prop=mean(ProgC_vs)

by regxun, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxun, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxun, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxun, sort: egen reform_ns_prop= mean(Ref_ns)
by regxun, sort: egen reform_fs_prop= mean(Ref_fs)
by regxun, sort: egen reform_vs_prop= mean(Ref_vs)

by regxun, sort: egen blocq_ns_prop= mean(BQ_ns)
by regxun, sort: egen blocq_fs_prop= mean(BQ_fs)
by regxun, sort: egen blocq_vs_prop= mean(BQ_vs)

by regxun, sort: egen other_ns_prop = mean(Other1_ns)
by regxun, sort: egen other_fs_prop = mean(Other1_fs)
by regxun, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* progC_* NDP_* reform_* blocq* other_* [pweight=cpsnwgt1], by(regxun)
gen sub_n="regxun"

decode regxun, gen(group)
replace group="_1QbU" in 1
replace group="_2QbNonU" in 2
replace group="_3NQbU" in 3
replace group="_4NQbNonU" in 4

order year sub_n regxun group

drop regxun
quietly: reshape wide lib_* progC_* NDP_* reform_* blocq* other_*, i(year sub_n) j(group) string
save "AUGUST\1997\1997 regxun prop.dta"
clear

