**********************************************************
**********************************************************

*2011 Party identification proportions
*set directory
cd "M:\Kollman Party Project IFS\Canada"
use "AUGUST\2011\2011 edited id.dta"

*LIBERAL
egen LibStr = group (LibPart idstr)
list LibPart idstr LibStr in 1/25
label define L45 1 "lib_ns" 2 "lib_fs" 3 "lib_vs"
label values LibStr L45

gen Lib_ns=.
replace Lib_ns=0 if LibStr==2 | LibStr==3
replace Lib_ns=1 if LibStr==1
gen Lib_fs=.
replace Lib_fs=0 if LibStr==1 | LibStr==3
replace Lib_fs=1 if LibStr==2
gen Lib_vs=.
replace Lib_v=0 if LibStr==1 | LibStr==2
replace Lib_vs=1 if LibStr==3

*CONSERVATIVE
egen ConservStr = group (ConPart idstr)
label define L46 1 "conserv_ns" 2 "conserv_fs" 3 "conserv_vs"
label values ConservStr L46

gen Con_ns=.
replace Con_ns=0 if ConservStr==2 | ConservS==3
replace Con_ns=1 if ConservStr==1
gen Con_fs=.
replace Con_fs=0 if ConservStr==1 | ConservS==3
replace Con_fs=1 if ConservStr==2
gen Con_vs=.
replace Con_vs=0 if ConservStr==2 | ConservS==1
replace Con_vs=1 if ConservStr==3

*NDP
egen NDPStr = group (NDPP idstr)
label define L123 1 "NDP_ns" 2 "NDP_fs" 3 "NDP_vs"
label values NDPS L123

gen NDP1_ns=.
replace NDP1_ns=0 if NDPS==2 |NDPS==3
replace NDP1_ns=1 if NDPS==1
gen NDP1_fs=.
replace NDP1_fs=0 if NDPS==1 |NDPS==3
replace NDP1_fs=1 if NDPS==2
gen NDP1_vs=.
replace NDP1_vs=0 if NDPS==1 |NDPS==2
replace NDP1_vs=1 if NDPS==3

*BLOC QUEBECOIS
egen BlocQStr = group (BlocQPar idstr)
label define lb98 1 "BlocQ_ns" 2 "BlocQ_fs" 3 "BlocQ_vs"
label values BlocQStr lb98

gen BQ_ns=.
replace BQ_ns=0 if BlocQStr==2 |BlocQStr==3
replace BQ_ns=1 if BlocQStr==1
gen BQ_fs=.
replace BQ_fs=0 if BlocQStr==1 |BlocQStr==3
replace BQ_fs=1 if BlocQStr==2
gen BQ_vs=.
replace BQ_vs=0 if BlocQStr==1 |BlocQStr==2
replace BQ_vs=1 if BlocQStr==3

*GREEN
egen GreenStr = group (GreenPar idstr)
label define Lab3 1 "Green_ns" 2 "Green_fs" 3 "Green_vs"
label values GreenStr Lab3

gen Green1_ns=.
replace Green1_ns=0 if GreenStr==2 | GreenS==3
replace Green1_ns=1 if GreenStr==1
gen Green1_fs=.
replace Green1_fs=0 if GreenStr==1 | GreenS==3
replace Green1_fs=1 if GreenStr==2
gen Green1_vs=.
replace Green1_vs=0 if GreenStr==2 | GreenS==1
replace Green1_vs=1 if GreenStr==3

*OTHER
egen OtherStr = group (OtherPar idstr)
label define Lab55 1 "other_ns" 2 "other_fs" 3 "other_vs"
label values OtherStr Lab55

gen Other1_ns=.
replace Other1_ns=0 if OtherStr==2 | OtherS==3
replace Other1_ns=1 if OtherStr==1
gen Other1_fs=.
replace Other1_fs=0 if OtherStr==1 | OtherS==3
replace Other1_fs=1 if OtherStr==2
gen Other1_vs=.
replace Other1_vs=0 if OtherStr==2 | OtherS==1
replace Other1_vs=1 if OtherStr==3

save "AUGUST\2011\2011 edited prop.dta"
collapse year (mean) lib_ns_prop=Lib_ns lib_fs_prop=Lib_fs lib_vs_prop=Lib_vs con_ns_prop=Con_ns con_fs_prop=Con_fs con_vs_prop=Con_vs NDP_ns_prop=NDP1_ns NDP_fs_prop=NDP1_fs NDP_vs_prop=NDP1_vs blocq_ns_prop=BQ_ns blocq_fs_prop=BQ_fs blocq_vs_prop=BQ_vs green_ns_prop=Green1_ns green_fs_prop=Green1_fs green_vs_prop=Green1_vs other_ns_prop=Other1_n other_fs_prop=Other1_f other_vs_prop=Other1_v [pweight=weight]
save "AUGUST\2011\2011 total prop.dta"
clear



***********************************************************
***********************************************************
*2011 Party identification proportions, Religion
use "AUGUST\2011\2011 edited prop.dta"

count if religion==.
drop if religion==.
***
by religion, sort: egen lib_ns_prop=mean(Lib_ns)
by religion, sort: egen lib_fs_prop=mean(Lib_fs)
by religion, sort: egen lib_vs_prop=mean(Lib_vs)

by religion, sort: egen con_ns_prop=mean(Con_ns)
by religion, sort: egen con_fs_prop=mean(Con_fs)
by religion, sort: egen con_vs_prop=mean(Con_vs)

by religion, sort: egen NDP_ns_prop = mean(NDP1_ns)
by religion, sort: egen NDP_fs_prop = mean(NDP1_fs)
by religion, sort: egen NDP_vs_prop = mean(NDP1_vs)

by religion, sort: egen blocq_ns_prop= mean(BQ_ns)
by religion, sort: egen blocq_fs_prop= mean(BQ_fs)
by religion, sort: egen blocq_vs_prop= mean(BQ_vs)

by religion, sort: egen green_ns_prop= mean(Green1_ns)
by religion, sort: egen green_fs_prop= mean(Green1_fs)
by religion, sort: egen green_vs_prop= mean(Green1_vs)

by religion, sort: egen other_ns_prop = mean(Other1_ns)
by religion, sort: egen other_fs_prop = mean(Other1_fs)
by religion, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(religion)
gen sub_n="religion"

decode religion, gen(group)
replace group="_1cath" in 1
replace group="_2chr" in 2
replace group="_3other" in 3
replace group="_4nrel" in 4

order year sub_n religion group

drop religion
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 religion prop.dta"
clear




***********************************************************
***********************************************************
*2011 Party identification proportions, region
use "AUGUST\2011\2011 edited prop.dta"

count if region==.
drop if region==.
***
by region, sort: egen lib_ns_prop=mean(Lib_ns)
by region, sort: egen lib_fs_prop=mean(Lib_fs)
by region, sort: egen lib_vs_prop=mean(Lib_vs)

by region, sort: egen con_ns_prop=mean(Con_ns)
by region, sort: egen con_fs_prop=mean(Con_fs)
by region, sort: egen con_vs_prop=mean(Con_vs)

by region, sort: egen NDP_ns_prop = mean(NDP1_ns)
by region, sort: egen NDP_fs_prop = mean(NDP1_fs)
by region, sort: egen NDP_vs_prop = mean(NDP1_vs)

by region, sort: egen blocq_ns_prop= mean(BQ_ns)
by region, sort: egen blocq_fs_prop= mean(BQ_fs)
by region, sort: egen blocq_vs_prop= mean(BQ_vs)

by region, sort: egen green_ns_prop= mean(Green1_ns)
by region, sort: egen green_fs_prop= mean(Green1_fs)
by region, sort: egen green_vs_prop= mean(Green1_vs)

by region, sort: egen other_ns_prop = mean(Other1_ns)
by region, sort: egen other_fs_prop = mean(Other1_fs)
by region, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(region)
gen sub_n="region"

decode region, gen(group)
replace group="_1Marit" in 1
replace group="_2Queb" in 2
replace group="_3Ontar" in 3
replace group="_4West" in 4

order year sub_n region group

drop region
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 region prop.dta"
clear





***********************************************************
***********************************************************
*2011 Party identification proportions, union
use "AUGUST\2011\2011 edited prop.dta"

count if union==.
drop if union==.
***
by union, sort: egen lib_ns_prop=mean(Lib_ns)
by union, sort: egen lib_fs_prop=mean(Lib_fs)
by union, sort: egen lib_vs_prop=mean(Lib_vs)

by union, sort: egen con_ns_prop=mean(Con_ns)
by union, sort: egen con_fs_prop=mean(Con_fs)
by union, sort: egen con_vs_prop=mean(Con_vs)

by union, sort: egen NDP_ns_prop = mean(NDP1_ns)
by union, sort: egen NDP_fs_prop = mean(NDP1_fs)
by union, sort: egen NDP_vs_prop = mean(NDP1_vs)

by union, sort: egen blocq_ns_prop= mean(BQ_ns)
by union, sort: egen blocq_fs_prop= mean(BQ_fs)
by union, sort: egen blocq_vs_prop= mean(BQ_vs)

by union, sort: egen green_ns_prop= mean(Green1_ns)
by union, sort: egen green_fs_prop= mean(Green1_fs)
by union, sort: egen green_vs_prop= mean(Green1_vs)

by union, sort: egen other_ns_prop = mean(Other1_ns)
by union, sort: egen other_fs_prop = mean(Other1_fs)
by union, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(union)
gen sub_n="union"

decode union, gen(group)
replace group="_1union" in 1
replace group="_2nunion" in 2

order year sub_n union group

drop union
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 union prop.dta"
clear





***********************************************************
***********************************************************
*2011 Party identification proportions, ethnicity
use "AUGUST\2011\2011 edited prop.dta"

count if ethnicity==.
drop if ethnicity==.
***
by ethnicity, sort: egen lib_ns_prop=mean(Lib_ns)
by ethnicity, sort: egen lib_fs_prop=mean(Lib_fs)
by ethnicity, sort: egen lib_vs_prop=mean(Lib_vs)

by ethnicity, sort: egen con_ns_prop=mean(Con_ns)
by ethnicity, sort: egen con_fs_prop=mean(Con_fs)
by ethnicity, sort: egen con_vs_prop=mean(Con_vs)

by ethnicity, sort: egen NDP_ns_prop = mean(NDP1_ns)
by ethnicity, sort: egen NDP_fs_prop = mean(NDP1_fs)
by ethnicity, sort: egen NDP_vs_prop = mean(NDP1_vs)

by ethnicity, sort: egen blocq_ns_prop= mean(BQ_ns)
by ethnicity, sort: egen blocq_fs_prop= mean(BQ_fs)
by ethnicity, sort: egen blocq_vs_prop= mean(BQ_vs)

by ethnicity, sort: egen green_ns_prop= mean(Green1_ns)
by ethnicity, sort: egen green_fs_prop= mean(Green1_fs)
by ethnicity, sort: egen green_vs_prop= mean(Green1_vs)

by ethnicity, sort: egen other_ns_prop = mean(Other1_ns)
by ethnicity, sort: egen other_fs_prop = mean(Other1_fs)
by ethnicity, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(ethnicity)
gen sub_n="ethnicity"

decode ethnicity, gen(group)
replace group="_1Euro" in 1
replace group="_2nEuro" in 2

order year sub_n ethnicity group

drop ethnicity
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 ethnicity prop.dta"
clear




***********************************************************
***********************************************************
*2011 Party identification proportions, partisan
use "AUGUST\2011\2011 edited prop.dta"

count if partisan==.
drop if partisan==.
***
by partisan, sort: egen lib_ns_prop=mean(Lib_ns)
by partisan, sort: egen lib_fs_prop=mean(Lib_fs)
by partisan, sort: egen lib_vs_prop=mean(Lib_vs)

by partisan, sort: egen con_ns_prop=mean(Con_ns)
by partisan, sort: egen con_fs_prop=mean(Con_fs)
by partisan, sort: egen con_vs_prop=mean(Con_vs)

by partisan, sort: egen NDP_ns_prop = mean(NDP1_ns)
by partisan, sort: egen NDP_fs_prop = mean(NDP1_fs)
by partisan, sort: egen NDP_vs_prop = mean(NDP1_vs)

by partisan, sort: egen blocq_ns_prop= mean(BQ_ns)
by partisan, sort: egen blocq_fs_prop= mean(BQ_fs)
by partisan, sort: egen blocq_vs_prop= mean(BQ_vs)

by partisan, sort: egen green_ns_prop= mean(Green1_ns)
by partisan, sort: egen green_fs_prop= mean(Green1_fs)
by partisan, sort: egen green_vs_prop= mean(Green1_vs)

by partisan, sort: egen other_ns_prop = mean(Other1_ns)
by partisan, sort: egen other_fs_prop = mean(Other1_fs)
by partisan, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(partisan)
gen sub_n="partisan"

decode partisan, gen(group)
replace group="_1LibPar" in 1
replace group="_2ConPar" in 2
replace group="_3NDPPar" in 3
replace group="_4OtherPar" in 4

order year sub_n partisan group

drop partisan
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 partisan prop.dta"
clear




***********************************************************
***********************************************************
*2011 Party identification proportions, type
use "AUGUST\2011\2011 edited prop.dta"

count if type==.
drop if type==.
***
by type, sort: egen lib_ns_prop=mean(Lib_ns)
by type, sort: egen lib_fs_prop=mean(Lib_fs)
by type, sort: egen lib_vs_prop=mean(Lib_vs)

by type, sort: egen con_ns_prop=mean(Con_ns)
by type, sort: egen con_fs_prop=mean(Con_fs)
by type, sort: egen con_vs_prop=mean(Con_vs)

by type, sort: egen NDP_ns_prop = mean(NDP1_ns)
by type, sort: egen NDP_fs_prop = mean(NDP1_fs)
by type, sort: egen NDP_vs_prop = mean(NDP1_vs)

by type, sort: egen blocq_ns_prop= mean(BQ_ns)
by type, sort: egen blocq_fs_prop= mean(BQ_fs)
by type, sort: egen blocq_vs_prop= mean(BQ_vs)

by type, sort: egen green_ns_prop= mean(Green1_ns)
by type, sort: egen green_fs_prop= mean(Green1_fs)
by type, sort: egen green_vs_prop= mean(Green1_vs)

by type, sort: egen other_ns_prop = mean(Other1_ns)
by type, sort: egen other_fs_prop = mean(Other1_fs)
by type, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(type)
gen sub_n="type"

decode type, gen(group)
replace group="_1urban" in 1
replace group="_2nurban" in 2

order year sub_n type group

drop type
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 type prop.dta"
clear



***********************************************************
***********************************************************
*2011 Party identification proportions, regxrel
use "AUGUST\2011\2011 edited prop.dta"

count if regxrel==.
drop if regxrel==.
***
by regxrel, sort: egen lib_ns_prop=mean(Lib_ns)
by regxrel, sort: egen lib_fs_prop=mean(Lib_fs)
by regxrel, sort: egen lib_vs_prop=mean(Lib_vs)

by regxrel, sort: egen con_ns_prop=mean(Con_ns)
by regxrel, sort: egen con_fs_prop=mean(Con_fs)
by regxrel, sort: egen con_vs_prop=mean(Con_vs)

by regxrel, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxrel, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxrel, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxrel, sort: egen blocq_ns_prop= mean(BQ_ns)
by regxrel, sort: egen blocq_fs_prop= mean(BQ_fs)
by regxrel, sort: egen blocq_vs_prop= mean(BQ_vs)

by regxrel, sort: egen green_ns_prop= mean(Green1_ns)
by regxrel, sort: egen green_fs_prop= mean(Green1_fs)
by regxrel, sort: egen green_vs_prop= mean(Green1_vs)

by regxrel, sort: egen other_ns_prop = mean(Other1_ns)
by regxrel, sort: egen other_fs_prop = mean(Other1_fs)
by regxrel, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(regxrel)
gen sub_n="regxrel"

decode regxrel, gen(group)
replace group="_1QbCat" in 1
replace group="_2QbChr" in 2
replace group="_3NQbCat" in 3
replace group="_4NQbChr" in 4

order year sub_n regxrel group

drop regxrel
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 regxrel prop.dta"
clear




***********************************************************
***********************************************************
*2011 Party identification proportions, regxun
use "AUGUST\2011\2011 edited prop.dta"

count if regxun==.
drop if regxun==.
***
by regxun, sort: egen lib_ns_prop=mean(Lib_ns)
by regxun, sort: egen lib_fs_prop=mean(Lib_fs)
by regxun, sort: egen lib_vs_prop=mean(Lib_vs)

by regxun, sort: egen con_ns_prop=mean(Con_ns)
by regxun, sort: egen con_fs_prop=mean(Con_fs)
by regxun, sort: egen con_vs_prop=mean(Con_vs)

by regxun, sort: egen NDP_ns_prop = mean(NDP1_ns)
by regxun, sort: egen NDP_fs_prop = mean(NDP1_fs)
by regxun, sort: egen NDP_vs_prop = mean(NDP1_vs)

by regxun, sort: egen blocq_ns_prop= mean(BQ_ns)
by regxun, sort: egen blocq_fs_prop= mean(BQ_fs)
by regxun, sort: egen blocq_vs_prop= mean(BQ_vs)

by regxun, sort: egen green_ns_prop= mean(Green1_ns)
by regxun, sort: egen green_fs_prop= mean(Green1_fs)
by regxun, sort: egen green_vs_prop= mean(Green1_vs)

by regxun, sort: egen other_ns_prop = mean(Other1_ns)
by regxun, sort: egen other_fs_prop = mean(Other1_fs)
by regxun, sort: egen other_vs_prop = mean(Other1_vs)

***************************************************************************
*Step 2: Collapse and save
***************************************************************************
collapse year (mean) lib_* con_* NDP_* blocq* green_* other_* [pweight=weight], by(regxun)
gen sub_n="regxun"

decode regxun, gen(group)
replace group="_1QbU" in 1
replace group="_2QbNonU" in 2
replace group="_3NQbU" in 3
replace group="_4NQbNonU" in 4

order year sub_n regxun group

drop regxun
quietly: reshape wide lib_* con_* NDP_* blocq* green_* other_*, i(year sub_n) j(group) string
save "AUGUST\2011\2011 regxun prop.dta"
clear
